# List webhooks

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

List all webhooks currently enabled for the account.

Endpoint: GET /v2/environment/webhooks
Version: 2.0.0
Security: api_keys

## Response 200 fields (application/json):

  - `webhook_id` (string)
    A string that uniquely identifies the webhook
    Example: "se-28529731"

  - `url` (string)
    The webhook payload listener URL that you intend to target for webhook dispatches
    Example: "https://example.com/resource"

  - `event` (string)
    The possible webhook event values
    Enum: "batch", "carrier_connected", "order_source_refresh_complete", "rate", "report_complete", "sales_orders_imported", "track", "batch_processed_v2", "fulfillment_rejected_v2", "fulfillment_shipped_v2", "label_created_v2", "shipment_created_v2", "track_event_v2"

  - `headers` (array)
    Array of custom webhook headers

  - `headers.key` (string, required)
    Key/name of a header
    Example: "custom-key"

  - `headers.value` (string, required)
    Value of a header
    Example: "custom-value"

  - `name` (string)
    The name of the webhook
    Example: "My Webhook"

  - `store_id` (integer)
    Store ID
    Example: 123456

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, the ShipStation API itself, or the underlying ShipEngine platform.
    Enum: "carrier", "order_source", "ShipStation", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.field_name` (string)
    The name of the field that caused the error (only present for validation errors)
    Example: "inventory_warehouse_id"

  - `errors.field_value` (string)
    The invalid value that was provided for the field (only present for validation errors)
    Example: "invalid-id"


